### Hierarchy

- Component
  - TimePicker

### Implements

- Textish

## Index

### Constructors

- constructor

### Properties

- _entrySeq
- _textAttributes
- nodeChildDict

### Accessors

- actualHeights
- actualWidths
- actualX
- actualY
- backgroundColor
- binding
- entrySeq
- height
- id
- layout
- padding
- parentContainer
- textAttributes
- width
- x
- y

### Methods

- initComponentWith

## Constructors

### constructor

- new TimePicker(parentContainer: Container, node: Node): TimePicker

- Overrides Component.constructor

  - Defined in print/PrintForm.ts:1282

  #### Parameters

  - ##### parentContainer: Container

  - ##### node: Node

  #### Returns TimePicker

## Properties

### Private _entrySeq

_entrySeq: number

- Defined in print/PrintForm.ts:1282

### Protected _textAttributes

_textAttributes: TextAttributes

Inherited from Component._textAttributes

- Defined in print/PrintForm.ts:126

### Protected nodeChildDict

nodeChildDict: Object

Inherited from Spec.nodeChildDict

- Defined in print/PrintForm.ts:109

## Accessors

### actualHeights

- get actualHeights(): Array<number>

- Inherited from Component.actualHeights

  - Defined in print/PrintForm.ts:186

  #### Returns Array<number>

### actualWidths

- get actualWidths(): Array<number>

- Inherited from Component.actualWidths

  - Defined in print/PrintForm.ts:189

  #### Returns Array<number>

### actualX

- get actualX(): number

- Inherited from Component.actualX

  - Defined in print/PrintForm.ts:192

  #### Returns number

### actualY

- get actualY(): number

- Inherited from Component.actualY

  - Defined in print/PrintForm.ts:195

  #### Returns number

### backgroundColor

- get backgroundColor(): Color

- Inherited from Component.backgroundColor

  - Defined in print/PrintForm.ts:171

  #### Returns Color

### binding

- get binding(): Binding

- Inherited from Component.binding

  - Defined in print/PrintForm.ts:174

  #### Returns Binding

### entrySeq

- get entrySeq(): number

- - Defined in print/PrintForm.ts:1291

  #### Returns number

### height

- get height(): number

- Inherited from Component.height

  - Defined in print/PrintForm.ts:198

  #### Returns number

### id

- get id(): string

- Inherited from Component.id

  - Defined in print/PrintForm.ts:177

  #### Returns string

### layout

- get layout(): Layout

- Inherited from Component.layout

  - Defined in print/PrintForm.ts:180

  #### Returns Layout

### padding

- get padding(): Edges

- Inherited from Component.padding

  - Defined in print/PrintForm.ts:183

  #### Returns Edges

### parentContainer

- get parentContainer(): Container

- Inherited from Component.parentContainer

  - Defined in print/PrintForm.ts:201

  #### Returns Container

### textAttributes

- get textAttributes(): TextAttributes

- Inherited from Component.textAttributes

  - Defined in print/PrintForm.ts:204

  #### Returns TextAttributes

### width

- get width(): number

- Inherited from Component.width

  - Defined in print/PrintForm.ts:207

  #### Returns number

### x

- get x(): number

- Inherited from Component.x

  - Defined in print/PrintForm.ts:210

  #### Returns number

### y

- get y(): number

- Inherited from Component.y

  - Defined in print/PrintForm.ts:213

  #### Returns number

## Methods

### initComponentWith

- initComponentWith(overrideLayout?: Layout): void

- Inherited from Component.initComponentWith

  - Defined in print/PrintForm.ts:162

  #### Parameters

  - ##### Optional overrideLayout: Layout

  #### Returns void

Generated using TypeDoc